Get transaction
Retrieve a single payment transaction by its public ID, including provider details.
Retrieve a single payment transaction by its public ID, including provider details.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/transactions/string"{ "success": true, "data": { "id": "string", "invoiceId": "string", "grossAmount": -9007199254740991, "subtotal": -9007199254740991, "taxAmount": -9007199254740991, "currency": "string", "status": "pending", "customerEmail": "string", "customerName": "string", "paidAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "availableAt": "2019-08-24T14:15:22Z", "object": "transaction", "livemode": true }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}